CK_RHS_DESTROY(3)

NAME
ck_rhs_destroy - destroy hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>
void
ck_rhs_destroy(ck_rhs_t *hs);

DESCRIPTION
The ck_rhs_destroy(3) function will request that the underlying allocator, as specified by the ck_rhs_init(3) function, immediately destroy the object pointed to by the hs argument. The user must guarantee that no threads are accessing the object pointed to by hs when ck_rhs_destroy(3) is called.

RETURN VALUES
ck_rhs_destroy(3) has no return value.

ERRORS
This function is guaranteed not to fail.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), CK_RHS_HASH(3), ck_rhs_iterator_init(3), ck_rhs_next(3), ck_rhs_get(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_remove(3), ck_rhs_grow(3), ck_rhs_rebuild(3), ck_rhs_gc(3), ck_rhs_count(3), ck_rhs_reset(3), ck_rhs_reset_size(3), ck_rhs_stat(3)

Additional information available at http://concurrencykit.org/